# $Revision: 1.7 $, $Date: 2002/01/31 15:47:28 $
Summary:	A WCCP Server Daemon
Summary(pl):	Serwer WCCP
Name:		wccpd
Version:	0.2
Release:	2
License:	GPL v2
Group:		Daemons
Group(de):	Server
Group(pl):	Serwery
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/wccpd/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://wccpd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
Prereq:		/sbin/chkconfig
Prereq:		rc-scripts >= 0.2.0
Prereq:		fileutils
Requires:	bc
Requires:	iproute2
Requires:	ipvsadm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The WCCP (Web Cache Coordination Protocol) provides a method to
coordinate a farm of Web Caches from a central router. It allows
transparent redirection based on reachability.

%description -l pl
WCCP (Web Cache Coordination Protocol) dostarcza metod do
koordynowania farm Web Cache'w z centralnego routera. Pozwala to na
przezroczyste przekierowania oparte na osigalnoci hosta w danym
momencie.

%prep
%setup -q

%build
rm -f missing support/missing
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_libdir}/wccpd

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/wccpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/wccpd
install contrib/linux-ipvs/scripts/*cache $RPM_BUILD_ROOT%{_libdir}/wccpd/
install contrib/linux-ipvs/scripts/*wccp $RPM_BUILD_ROOT%{_libdir}/wccpd/

gzip -9nf AUTHORS ChangeLog NEWS README doc/*.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add wccpd
if [ -f /var/lock/subsys/wccpd ]; then
	/etc/rc.d/init.d/wccpd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/wccpd start\" to start wccpd daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/wccpd ]; then
		/etc/rc.d/init.d/wccpd stop 1>&2
	fi
	/sbin/chkconfig --del wccpd
fi

%files
%defattr(644,root,root,755)
%doc *.gz doc/*.gz doc/html/*
%attr(754,root,root) %{_sbindir}/*
%dir %{_libdir}/wccpd/
%attr(754,root,root) %{_libdir}/wccpd/*cache
%attr(754,root,root) %{_libdir}/wccpd/*wccp
%attr(754,root,root) /etc/rc.d/init.d/wccpd
%attr(644,root,root) %config(noreplace) /etc/sysconfig/wccpd
%attr(644,root,root) %{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wccpd.spec,v $
Revision 1.7  2002/01/31 15:47:28  blues
- added config(noreplace) to sysconfig file

Revision 1.6  2002/01/29 14:13:40  blues
- release 2
- added bc to BR (scripts are using dc)
STB

Revision 1.5  2002/01/28 01:29:39  blues
- 0.2
- removed proto patch - included in source
STB

Revision 1.4  2002/01/24 11:00:24  blues
- add proto patch - allow working with Cisco Cache Engine. Needs testing
  with normal squid

Revision 1.3  2002/01/18 02:15:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/17 11:17:42  qboosh
- changed Source URL to ftp, pl summary, typo

Revision 1.1  2002/01/15 16:29:42  blues
- initial version
The WCCP (Web Cache Coordination Protocol) provides a method to
coordinate a farm of Web Caches from a central router. It allows
transparent redirection based on reachability.
